#!/bin/perl

#use strict;
#use diagnostics;

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Data-ParseTable.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More qw{ no_plan };

#tests => 1;
BEGIN { use_ok('Data::ParseTable') };
can_ok( 'Data::ParseTable', ('parse_table'));

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.


# Generic test text line arrays with different separators

my @field_sep = ("\t", "  ", "&", "|", ",");

foreach my $fs (@field_sep){

    my $line0 = "head1" . "$fs" . "head2" . "$fs" . "head3\n";
    my $line1 = "1-1" . "$fs" . "1-2" . "$fs" . "1-3\n";
    my $line2 = "2-1" . "$fs" . "2-2" . "$fs" . "2-3\n";


    my @data_lines = ( 
		       "$line0",
		       "$line1",
		       "$line2",
		       );

    my @true_array = ( {head1 => '1-1',
			head2 => '1-2',
			head3 => '1-3',
		    }, 
		       { head1 => '2-1',
			 head2 => '2-2',
			 head3 => '2-3',
		     });

    my %true_hash = (
		     head1 => [ '1-1', '2-1' ],
		     head2 => [ '1-2', '2-2' ],
		     head3 => [ '1-3', '2-3' ],
		     );
    
    my %opt;
    my $result_array_ref = Data::ParseTable::parse_table( \@data_lines , \%opt );
    
    $opt{return_as_hash} = 1;
    my $result_hash_ref = Data::ParseTable::parse_table( \@data_lines, \%opt );

    for my $line_no (0 .. $#data_lines-1){  
	while ( my ($header, $value) = each %{$true_array[$line_no]}){
	    is( $value , $result_array_ref->[$line_no]->{$header} , "Array test for $fs"  );
	}
    }
    
    foreach my $header (keys %true_hash){
	for my $line_no (0 .. $#data_lines-1){
	    is( $true_hash{$header}->[$line_no] , $result_hash_ref->{$header}->[$line_no], "Hash test for $fs" );
	}
    }
}
