# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $loaded;}

use Ska::Process qw(:all);
use lib '/proj/sot/ska/lib/site_perl';
use Expect::Simple;
$loaded = 1;
$test++;
print "ok $test\n";

# Test message
message('', (init  => 1, log_file => 'log1'));
message("This is the first message\n");
message('', (init  => 1, log_file => 'log2'));
message("This is the second message\n");
message('', (init  => 1, log_file => 'log3'));
message("This is the third message\n");
message('', (close => 1, log_file => 'log2'));
message('', (close => 1, log_file => 'log3'));

# Test get_load

if ($ON_CXC_NETWORK) {
    $test++;
    print "get_load_dir(61566, 110346533.0) = ", get_load_dir(61566, 110346533.0), "\n";
    print "get_load_dir(61566)              = ", get_load_dir(61566), "\n";
    print "get_load_dir(61566, 100346533.0) = ", get_load_dir(61566, 100346533.0), "\n";

    # Test get_archive_files

    $test++;
    $work_dir = $ENV{PWD};
    $obsid = 819;
    @obspar = get_archive_files(obsid     => $obsid,
				prod      => "obspar",
				file_glob => "axaf*obs0a.par*",
				dir       => $work_dir,
				loud      => 1,
			       );

    @fidpr = get_archive_files(obsid     => $obsid,
			       prod      => "asp1[*fidpr*]",
			       file_glob => "pcad*fidpr*fits*",
			       version   => [3,2,1],
			       gunzip    => 1,
			       loud      => 1,
			      );

    if (@obspar && @fidpr) {
	print "Got files @obspar @fidpr\n";
	print "ok $test\n";
	unlink (@obspar, @fidpr);
    } else {
	print "NOT ok $test\n";
    }
}

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

